Bug 1807565 - zziplib requires Python 2 to build
Summary: zziplib requires Python 2 to build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zziplib
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Martisko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BRPY27 1913686
TreeView+ depends on / blocked
 
Reported: 2020-02-26 15:53 UTC by Petr Viktorin
Modified: 2021-01-30 11:21 UTC (History)
3 users (show)

Fixed In Version: zziplib-0.13.71-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-30 01:54:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Viktorin 2020-02-26 15:53:54 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like zziplib, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.
Let us know if you need any help investigating or removing the dependency. (There are dozens of packages like this, so we didn't investigate this one thoroughly. We assume you know the package best.)

If it's possible that the dependency won't be removed in Fedora 33. Please request a FESCo exception. You can refer to the exception for mercurial as an example: https://pagure.io/fesco/issue/2243
It's good to mention:

- What is the reason for the Python 2 build dependency?

- What are the upstream/community plans/timelines regarding Python 2?

- What is the guidance for porting the build to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Ben Cotton 2020-08-11 13:10:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 2 Petr Viktorin 2021-01-13 21:14:07 UTC
This should be fixed in v0.13.70: https://github.com/gdraheim/zziplib/pull/80

Could you update the package?

Comment 3 Jakub Martisko 2021-01-15 13:05:45 UTC
Hi, I'll do the rebase during the next week.

Comment 4 Fedora Update System 2021-01-21 11:53:13 UTC
FEDORA-2021-c3ad233242 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c3ad233242

Comment 6 Fedora Update System 2021-01-22 02:12:30 UTC
FEDORA-2021-c3ad233242 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c3ad233242`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c3ad233242

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-01-30 01:54:07 UTC
FEDORA-2021-c3ad233242 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Miro Hrončok 2021-01-30 11:21:33 UTC
Please don't use unversion Python:

+ BuildRequires: python
+ BuildRequires: python-rpm-macros


Do this instead:

+ BuildRequires: python3-devel

See https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_multiple_python_runtimes


Note You need to log in before you can comment on or make changes to this bug.